Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.search
Interface SearchableCache<K,V>

All Superinterfaces:
  org.jboss.cache.Cache<K,V>

All Known Implementing Classes:
  SearchableCacheImpl

    public interface SearchableCache<K,V>

extends org.jboss.cache.Cache<K,V>

This will be the most used interface in JBossCache searchable. It extends Cache and therefore will have the standard get(), put() and remove() methods. The additional method is the createQuery method which people will use to build their Hibernate Search queries from a luceneQuery - Hibernate Search users will be very familiar with this.

Author:
  Navin Surtani (nsurtani@redhat.com)

Method Summary
`CacheQuery` | `createQuery(org.apache.lucene.search.Query luceneQuery, Class... classes)` Creates a CacheQuery from a lucene query and a class array.

Methods inherited from interface org.jboss.cache.Cache
`addCacheListener, addInterceptor, addInterceptor, clearData, clearData, create, destroy, endBatch, evict, evict, get, get, getCacheListeners, getCacheStatus, getConfiguration, getData, getInvocationContext, getKeys, getKeys, getLocalAddress, getMembers, getNode, getNode, getRegion, getRoot, getVersion, move, move, put, put, put, put, putForExternalRead, remove, remove, removeCacheListener, removeInterceptor, removeInterceptor, removeNode, removeNode, removeRegion, setInvocationContext, start, startBatch, stop`

Method Detail

### createQuery

    CacheQuery createQuery(org.apache.lucene.search.Query luceneQuery,
                           Class... classes)

  Creates a CacheQuery from a lucene query and a class array.

  Parameters:
    `classes` - - array of classes to be searched from.
    `luceneQuery` - - from `Query`
  Returns:
    a CacheQuery instance from which the user can get a list/iterator object.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 JBoss, a division of Red Hat. All Rights Reserved.